#
# GeForce now.
#
# vim: et:ts=2:sw=2:
{
 appimageTools,
  fetchurl,
}:
let
  pname = "gfn-electron";
  version = "2.1.2";

  src = fetchurl {
    url = "https://github.com/hmlendea/gfn-electron/releases/download/v2.1.2/geforcenow-electron_2.1.2_linux.AppImage";
    hash = "sha256-0hsFGwPPbMuoman1b1CgsakJbHvhUyEPbxX18hlFOoM=";
  };

  appImageContent = appimageTools.extractType2 { inherit pname version src; };
in
appimageTools.wrapType2 {
  inherit pname version src;
  runScript = "appimage-exec.sh -w ${appImageContent} -- --ozone-platform-hint=auto --spoof-chromeos";
}
